libqxp::QXPContentCollector::CollectedPage Struct Reference

## Public Member Functions

| CollectedPage (const PageSettings &pageSettings)
double | getX (const double x) const
double | getX (const std::shared_ptr< Object > &obj) const
double | getY (const double y) const
double | getY (const std::shared_ptr< Object > &obj) const
Point | getPoint (const Point &p) const

## Public Attributes

const PageSettings | settings
std::vector< std::shared_ptr< CollectedObject< Group > > > | groups
std::vector< std::shared_ptr< TextObject > > | linkedTextObjects
std::map< unsigned, std::shared_ptr< CollectedObjectInterface > > | objects

## Constructor & Destructor Documentation

## CollectedPage()

libqxp::QXPContentCollector::CollectedPage::CollectedPage | ( | const PageSettings & | pageSettings | ) |

inline

## Member Function Documentation

## getPoint()

Point libqxp::QXPContentCollector::CollectedPage::getPoint | ( | const Point & | p | ) | const

Referenced by libqxp::QXPContentCollector::drawLine(), and libqxp::QXPContentCollector::drawRectangle().

## getX() [1/2]

double libqxp::QXPContentCollector::CollectedPage::getX | ( | const double | x | ) | const

Referenced by libqxp::QXPContentCollector::drawOval(), libqxp::QXPContentCollector::drawTextBox(), libqxp::QXPContentCollector::drawTextPath(), getPoint(), and getX().

## getX() [2/2]

double libqxp::QXPContentCollector::CollectedPage::getX | ( | const std::shared_ptr< Object > & | obj | ) | const

## getY() [1/2]

double libqxp::QXPContentCollector::CollectedPage::getY | ( | const double | y | ) | const

Referenced by libqxp::QXPContentCollector::drawOval(), libqxp::QXPContentCollector::drawTextBox(), libqxp::QXPContentCollector::drawTextPath(), getPoint(), and getY().

## getY() [2/2]

double libqxp::QXPContentCollector::CollectedPage::getY | ( | const std::shared_ptr< Object > & | obj | ) | const

## Member Data Documentation

## groups

std::vector<std::shared_ptr<CollectedObject<Group> > > libqxp::QXPContentCollector::CollectedPage::groups

Referenced by CollectedPage(), and libqxp::QXPContentCollector::collectGroup().

## linkedTextObjects

std::vector<std::shared_ptr<TextObject> > libqxp::QXPContentCollector::CollectedPage::linkedTextObjects

Referenced by CollectedPage(), and libqxp::QXPContentCollector::collectTextObject().

## objects

std::map<unsigned, std::shared_ptr<CollectedObjectInterface> > libqxp::QXPContentCollector::CollectedPage::objects

Referenced by libqxp::QXPContentCollector::addObject(), CollectedPage(), and libqxp::QXPContentCollector::drawGroup().

## settings

const PageSettings libqxp::QXPContentCollector::CollectedPage::settings

Referenced by CollectedPage(), getX(), and getY().

The documentation for this struct was generated from the following files:

- QXPContentCollector.h
- QXPContentCollector.cpp